Package org.jboss.logmanager.filters

## Class LevelFilter

- java.lang.Object
- - org.jboss.logmanager.filters.LevelFilter

All Implemented Interfaces:
  `java.util.logging.Filter`

    public final class LevelFilter
    extends java.lang.Object
    implements java.util.logging.Filter

A filter which excludes messages of a certain level or levels

### Constructor Summary

Constructors
`LevelFilter​(java.util.Collection<java.util.logging.Level> includedLevels)` Construct a new instance.
`LevelFilter​(java.util.logging.Level includedLevel)` Construct a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)` Determine whether the message is loggable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelFilter

    public LevelFilter​(java.util.logging.Level includedLevel)

Construct a new instance.

Parameters:
  `includedLevel` - the level to include

#### LevelFilter

    public LevelFilter​(java.util.Collection<java.util.logging.Level> includedLevels)

Construct a new instance.

Parameters:
  `includedLevels` - the levels to exclude

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Determine whether the message is loggable.

Specified by:
  `isLoggable` in interface `java.util.logging.Filter`
Parameters:
  `record` - the log record
Returns:
  `true` if the level is in the inclusion list